petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMTSGetSolutionFunction

gets the TS solution evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetSolutionFunction(DM dm,TSSolutionFunction *func,void **ctx)

Not Collective

### Input Arguments

dm -DM to be used with TS

### Output Parameters

| func | - solution function evaluation function, see TSSetSolution() for calling sequence
| ctx | - context for solution evaluation

### See Also

DMTSSetContext(), TSSetFunction(), DMTSSetJacobian()

Level:advanced
Location:src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages